### Hierarchy

- unknown
  - Region

## Index

### Constructors

- constructor

### Methods

- getCode
- getName
- serializeBinary
- setCode
- setName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Region(): Region

- Inherited from jspb.Message.constructor

  #### Returns Region

## Methods

### getCode

- getCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:8098

  #### Returns string

### getName

- getName(): string

- - Defined in src/protobuf/pb_pb.d.ts:8101

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8104

  #### Returns Uint8Array

### setCode

- setCode(value: string): Region

- - Defined in src/protobuf/pb_pb.d.ts:8099

  #### Parameters

  - ##### value: string

  #### Returns Region

### setName

- setName(value: string): Region

- - Defined in src/protobuf/pb_pb.d.ts:8102

  #### Parameters

  - ##### value: string

  #### Returns Region

### toObject

- toObject(includeInstance?: boolean): Region . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8105

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Region . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Region

- - Defined in src/protobuf/pb_pb.d.ts:8108

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Region

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Region, reader: BinaryReader): Region

- - Defined in src/protobuf/pb_pb.d.ts:8109

  #### Parameters

  - ##### message: Region

  - ##### reader: BinaryReader

  #### Returns Region

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Region, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8107

  #### Parameters

  - ##### message: Region

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Region ): Region . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8106

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Region

  #### Returns Region . AsObject

Generated using TypeDoc